#! /bin/sh
INIT_DIR=/etc/zabbix/init
execInitScripts() {
	if [ -d $INIT_DIR ];then #check if the directory exists
		for file in "$INIT_DIR"/*;do #list file in directory
			if [ -f $file ]; then #check if the file exists
				($file)#fork new shell for running file
				RESULT=$?
				if [ $RESULT -ne 0 ]; then
					echo "Failed executing $file script"
					exit $RESULT
				fi
			fi
		done
	fi
}

# executing all scripts in the init directory
execInitScripts
